You are not logged in.

#1 2020-06-15 19:32:00

gen2arch
Member
Registered: 2013-05-16
Posts: 156

SOLVED: chromium won't start unless downgrading some libraries

After a full arch update, with chromium being at version 83.0.4103.97-2, I can no longer start the program:

/usr/lib/chromium/chromium: error while loading shared libraries: libaom.so.0: cannot open shared object file: No such file or directory

aom is now v.2.0.0-1.
/usr/lib/ looks like this:

ll /usr/lib/libaom*
lrwxrwxrwx 1 root root      11 20. May 15:52 /usr/lib/libaom.so -> libaom.so.2
lrwxrwxrwx 1 root root      15 20. May 15:52 /usr/lib/libaom.so.2 -> libaom.so.2.0.0
-rwxr-xr-x 1 root root 6841608 20. May 15:52 /usr/lib/libaom.so.2.0.0

Same thing with x265.
If I downgrade both libs to prior versions chromium starts again!

Last edited by gen2arch (2020-06-16 12:06:10)

Offline

#2 2020-06-15 19:59:42

V1del
Forum Moderator
Registered: 2012-10-16
Posts: 10,434

Re: SOLVED: chromium won't start unless downgrading some libraries

Use lddtree from pax-utils to find the actual library having the missing dependency. The type of package leading to the issue points to the fact that you aren't running an in repo ffmpeg. If you use a custom ffmpeg package, it is your responsibility to rebuild it against updated dependencies (that's basically the case for each update of x264/x265)

Offline

#3 2020-06-16 12:05:44

gen2arch
Member
Registered: 2013-05-16
Posts: 156

Re: SOLVED: chromium won't start unless downgrading some libraries

Yes indeed! thats it. I had from mid-march on ffmpeg-full-git due to remote teaching media focus, and forgot about it! Thanks. Reverted back to repo ffmpeg and all issues gone.

Last edited by gen2arch (2020-06-16 12:06:38)

Offline

Board footer

Powered by FluxBB